resource vultr_kubernetes athens {
  region  = var.cluster.region
  version = var.cluster.version
  label   = var.cluster.label
  vpc_id  = vultr_vpc.athens.id

  node_pools {
    node_quantity = var.cluster.pools["main"].min_nodes
    plan          = var.cluster.pools["main"].plan
    label         = var.cluster.pools["main"].label
    min_nodes     = var.cluster.pools["main"].min_nodes
    max_nodes     = var.cluster.pools["main"].max_nodes
  }
}

output k8s_config {
  value = vultr_kubernetes.athens.kube_config
  sensitive = true
}


